from scr.vk_functions import create_keyboard
from scr.settings import *
text_back = """Что будет, если вы не узнаете о том, что мы предлагаем?

✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.

👉 Вы этого хотите?

А может быть вспомните о нашем предложении и решите продолжить, чтобы узнать, как больше продавать при меньших расходах на рекламу или совсем без нее?
⏩ Жмите на кнопку ниже м узнайте ↘
"""

QUESTIONS_STEPS = {

    'start': {
        'q_text': """Привет!
        
Я деловой бот, если у вас есть интернет магазин или вы что-то продаете в интернете другими способами, моя задача рассказать о том, как вы сможете увеличить продажи и заказы.

Чтобы узнать, что мы предлагаем, ниже, нажмите на кнопку НАЧАТЬ ↘

... и просто нажимайте на кнопки ответов""",
        'buttons': create_keyboard(['НАЧАТЬ'], questions=False),
        'answers': {
            'НАЧАТЬ': 'step2'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step2': {
        'q_text': """Вы тратите много денег на рекламу?
             ⏩ нажмите на кнопку ниже, чтобы выбрать ответ 👇
""",
        'buttons': create_keyboard(['👉 Да', 'Нет']),
        'answers': {
            '👉 Да': 'step3',
            'Нет': 'step2b'
        },
        'q_attachment': None,
        'q_file': None

    },

    'step2b': {
        'q_text': text_back,
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step2',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step3': {
        'q_text': """У вас мало заказов и продаж?
        
             ⏩ нажмите на кнопку, чтобы выбрать ответ 👇
""",
        'buttons': create_keyboard(['👉 Да', 'Нет']),
        'answers': {
            '👉 Да': 'step4',
            'Нет': 'step3b'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step3b': {
        'q_text': text_back,
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step3',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step4': {
        'q_text': """Вы хотите увеличить кол-во заказов и продаж, привлекая покупателей и заказчиков с минимальными затратами на рекламу или совсем без них?
        
                      ⏩ выберите ответ 👇
            
""",
        'buttons': create_keyboard(['👉 Да', 'Нет']),
        'answers': {
            '👉 Да': 'step5',
            'Нет': 'step4b'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step4b': {
        'q_text': text_back,
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ и УЗНАТЬ', ['ВЫЙТИ, НЕ ИНТЕРЕСНО', 'negative']]),
        'answers': {
            '👉 ПРОДОЛЖИТЬ и УЗНАТЬ': 'step4',
            'ВЫЙТИ, НЕ ИНТЕРЕСНО': 'step10'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step5': {
        'q_text': """Спасибо за ответ и за то, что перешли к следующему шагу!
        
💰 Предлагаем инструкцию «Как увеличить продажи»

ВОТ, ЧТО ВЫ УЗНАЕТЕ В НЕЙ:

💡 Информация, которую получите, совершит революцию в вашем отделе продаж, значительно сократив расходы на рекламу и серьезно увеличив продажи.

💡 В инструкции: «Как увеличить продажи», мы рассказали, как построить схему продаж любых товаров или услуг, которая будет работать почти без вашего участия и с самыми минимальными затратами на рекламу.

💡 Если все сделаете правильно, то этот способ, будет работать исправно и бесперебойно.

От вас, потребуется только настроить схему привлечения целевой аудитории на страницы своего интернет магазина, на сайт услуг, на один или несколько лендингов или на статейный сайт.

А ВОТ, ЧТО СМОЖЕТЕ:

✅ Привлекать ЦА бесплатно или почти без затрат на рекламу.
✅ Снизите затраты на рекламу и сэкономите время и деньги.
✅ Значительно увеличите конверсию, превращения посетителей в покупателей.
✅ Расходы на рекламу будут падать, а продажи расти.
✅ Превращать посетителей в покупателей 24 часа в сутки и 7 дней в неделю.  

Если готовы, нажмите на кнопку ниже и узнайте, как все это получить прямо сейчас.
""",
        'buttons': create_keyboard(['👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ']),
        'answers': {
            '👉 КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ': 'step6',
        },
        'q_attachment': 'photo-192403571_457239228'
    },

    'step6': {
        'q_text': """Инструкции: «Как увеличить продажи», стоит 2497 руб. 

КАК ПОЛУЧИТЬ ИНСТРУКЦИЮ:

✅ Нажмите на кнопку: КУПИТЬ ИНСТРУКЦИЮ.
✅ Оплатите.
✅ Сразу после оплаты, перед вами откроется новый шаг диалога в котором, будет ссылка на страницу нашего сайта на которой вы скачаете архив с инструкцией.

Сразу после оплаты, перейдите по ссылке и скачайте файлы. Если нажмете на любую кнопку навигации, то доступ будет закрыт.

А если хотите более выгодное предложение, то

⏩ нажмите на кнопку ХОЧУ БОЛЬШЕ 👇
""",
        'buttons': create_keyboard(['КУПИТЬ ИНСТРУКЦИЮ', '👉 ХОЧУ БОЛЬШЕ']),
        'answers': {
            'КУПИТЬ ИНСТРУКЦИЮ': 'step_chose_a',
            '👉 ХОЧУ БОЛЬШЕ': 'step7',
        },
        'q_attachment': None,
        'q_file': None
    },

    'step_chose_a': {
        'q_text': """ИНСТРУКЦИЯ КАК ОПЛАТИТЬ И ПОЛУЧИТЬ ТОВАР:
        
        1. Чтобы получить товар, ниже, нажмите на ссылку или на кнопку: Оплатить, платежной системы (QIWI)
        2. На странице оплаты, оплатите банковской картой или с QIWI кошелька.
        3. После оплаты, перейдите в чат бот и нажмите на кнопку: Проверить
        4. После этого, перед вами откроется новый блок, в котором вы скачаете архив с инструкциями.
    """,
        'buttons': create_keyboard(['QIWI' if QIWI_SECRET_KEY else None, 'ЮКасса' if YOOMONEY_TOKEN else None, ['Назад', 'negative']], questions=False),
        'answers': {
            'QIWI': 'step8a_qiwi',
            'ЮКасса': 'step8a_yoomoney',
            'Назад': 'step_back'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step7': {
        'q_text': """Вы правильно сделали, что выбрали это выгодное предложение!
        
Предлагаем по Акции 4 инструкции по 1 цене:

✅ «Как увеличить продажи» — цена: 2597 руб.
✅ «10 способов как снизить кол-во невыкупленных заказов на Почте России» — цена: 1795 руб. 
✅ «Как много продавать и не тратить деньги на рекламу» — цена: 1795 руб. 
✅ «Способ увеличить продажи, который работает безотказно» — цена: 1795 руб.

В списке выше, названия инструкций и стоимость каждой, если покупать их по отдельности.

Но сейчас, вы получите их все по единой цене, сразу после оплаты.

Сразу после покупки наших инструкций, вы начнете привлекать покупателей почти в промышленных масштабах.

  💰 Единая цена за 4 инструкции - 2497 руб.
  
⏩ Если малую часть того о чем узнаете - внедрить сегодня, то результат будет уже завтра.
⏩ Всего несколько страниц инструкций, а ощущение, что узнали секреты сотен успешных предпринимателей.
⏩ Но главное - половина способов внедряются быстро, легко и без затрат.

Чтобы купить и получить 4 инструкции, нажмите на кнопку ниже.

  Торопитесь, Акция может закончиться в любой момент!   
""",
        'buttons': create_keyboard(['👉 КУПИТЬ 4 ИНСТРУКЦИИ', 'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ']),
        'answers': {
            '👉 КУПИТЬ 4 ИНСТРУКЦИИ': 'step_chose',
            'ЧТО БУДЕТ ЕСЛИ НЕ КУПЛЮ': 'step9',
        },
        'q_attachment': None,
        'q_file': None
    },

    'step_chose': {
        'q_text': """ИНСТРУКЦИЯ КАК ОПЛАТИТЬ И ПОЛУЧИТЬ ТОВАР: 👇
        
        1. Чтобы получить товар, ниже, нажмите на ссылку или на кнопку: Оплатить, платежной системы (QIWI)
        2. На странице оплаты, оплатите банковской картой или с QIWI кошелька.
        3. После оплаты, перейдите в чат бот и нажмите на кнопку: Проверить
        4. После этого, перед вами откроется новый блок, в котором вы скачаете архив с инструкциями.
""",
        'buttons': create_keyboard(['QIWI' if QIWI_SECRET_KEY else None, 'ЮКасса' if YOOMONEY_TOKEN else None, ['Назад', 'negative']], questions=False),
        'answers': {
            'QIWI': 'step8_qiwi',
            'ЮКасса': 'step8_yoomoney',
            'Назад': 'step_back'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step9': {
        'q_text': """ЧТО БУДЕТ ЕСЛИ, НЕ КУПИТЕ НАШИ ИНСТРУКЦИИ?
        
✅ Расходы на рекламу будут регулярно расти, а продажи будут падать.
✅ Кол-во заказов и выручка, даже при увеличении рекламного бюджета, будут неуклонно снижаться.
✅ В какой-то момент, вы поймете, что реклама для вашего бизнеса - это дорогое удовольствие.
✅ И тогда вы вспомните о нашем предложении и может быть не нужно больше терять свое время и деньги.

ЧТО БУДЕТ, ЕСЛИ ВЫ КУПИТЕ НАШИ ИНСТРУКЦИИ?

✅ Вы сократите свой рекламный бюджет, но продаж - будет больше.
✅ Вы кратно увеличите кол-во продаж и станете больше продавать при меньших расходах.
✅ Начнете привлекать покупателей другими способами, в том числе и без расходов на рекламу.

Предлагаем нажать на кнопку ВЕРНУТЬСЯ и КУПИТЬ, чтобы вернуться к предыдущему шагу, купить 4 инструкции по единой цене и продавать и зарабатывать, а не просто тратить деньги на рекламу.
""",
        'buttons': create_keyboard(['👉 ВЕРНУТЬСЯ и КУПИТЬ', ['ОТКАЗАТЬСЯ', 'negative']]),
        'answers': {
            '👉 ВЕРНУТЬСЯ и КУПИТЬ': 'step7',
            'ОТКАЗАТЬСЯ': 'step10',
        },
        'q_attachment': None,
        'q_file': None
    },

    'step10': {
        'q_text': """Отказаться от покупки, это ваше право.
        
        В завершении, предлагаем перейти на наш сайт https://vs-bumerang.ru и узнать много интересного. 
        
На его страницах, вы узнаете много интересных материалов.

Желаем Удачи!

А если передумали и решили купить наши инструкции, нажмите на кнопку ПРОДОЛЖИТЬ ↘
""",
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ'], questions=False),
        'answers': {
            '👉 ПРОДОЛЖИТЬ': 'step_back'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step_contacts': {
        'q_text': """Контакты
        
        👍 E-mail: vs-bumerang@mail.ru
        📞 Моб.тел.: +7 920-257-84-69
        """,
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ', 'ВЫЙТИ НЕ ИНТЕРЕСНО'], questions=False),
        'answers': {
            '👉 ПРОДОЛЖИТЬ': 'step_back',
            'ВЫЙТИ НЕ ИНТЕРЕСНО': 'step10'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step_questions': {
        'q_text': """Вопросы и Ответы
        
Что мы продаем?
Мы продаем инструкции, которые помогут вам при минимальных затратах на рекламу, продавать и зарабатывать, а не просто тратить деньги на рекламу.

Что делать, если после оплаты, забыл скачать файл?
Если сразу не скачали файл и закрыли компьютер или нажали на кнопку навигации, после чего Шаг с товаром стал закрыт, перейдите в раздел: Контакты, выбьерите способ связи и сообщите нам о своей проблемы. Мы быстро решим ваш вопрос.

Как оплатить и получить (скачать) товар?
1.	Чтобы получить товар, ниже, нажмите на ссылку или на кнопку: Оплатить, платежной системы (QIWI)
2.	На странице оплаты, оплатите банковской картой или с QIWI кошелька.
3.	После оплаты, перейдите в чат бот и нажмите на кнопку: Проверить
4.	После этого, перед вами откроется новый блок, в котором вы скачаете архив с инструкциями.
""",
        'buttons': create_keyboard(['👉 ПРОДОЛЖИТЬ', 'ВЫЙТИ НЕ ИНТЕРЕСНО'], questions=False),
        'answers': {
            '👉 ПРОДОЛЖИТЬ': 'step_back',
            'ВЫЙТИ НЕ ИНТЕРЕСНО': 'step10'
        },
        'q_attachment': None,
        'q_file': None
    },

    'step8': {
        'q_text': """Спасибо что купили наши инструкции!
        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘

➡  Ссылка  на сайт: hhttps://vs-bumerang.ru

Ознакомьтесь с нашими инструкциями и удачных вам продаж за меньшие деньги.

Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по  url ссылке.
""",
        'buttons': create_keyboard([('Скачать', 'https://dropmefiles.com')]),
        'answers': {},
        'q_attachment': 'photo-192403571_457239228',
        'q_file': None
    },

    'step8a': {
        'q_text': """Спасибо что купили наши инструкции!
        
Перейдите по ссылке ниже и скачайте архив с товаром, который только что оплатили ↘

➡ Перейти:  https://vs-bumerang.ru

Ознакомьтесь с полученной информацией и удачных вам продаж за меньшие деньги.

Ниже есть кнопка: Скачать, нажимать на нее не нужно. Архив с инструкцией, доступен по  url ссылке выше.
""",
        'buttons': create_keyboard([('Скачать', 'https://dropmefiles.com')]),
        'answers': {},
        'q_attachment': 'photo-192403571_457239228',
        'q_file': None
    },

    'step_contacts_after_buy': {
        'q_text': """Контакты
        
        👍 E-mail: vs-bumerang@mail.ru
        📞 Моб.тел.: +7 920-257-84-69
        """,
        'buttons': None,
        'answers': {},
        'q_attachment': None,
        'q_file': None
    },

    'step_questions_after_buy': {
        'q_text': """Вопросы и Ответы
        
Что мы продаем?
Мы продаем инструкции, которые помогут вам при минимальных затратах на рекламу, продавать и зарабатывать, а не просто тратить деньги на рекламу.

Что делать, если после оплаты, забыл скачать файл?
Если сразу не скачали файл и закрыли компьютер или нажали на кнопку навигации, после чего Шаг с товаром стал закрыт, перейдите в раздел: Контакты, выбьерите способ связи и сообщите нам о своей проблемы. Мы быстро решим ваш вопрос.

Как оплатить и получить (скачать) товар?
1.	Чтобы получить товар, ниже, нажмите на ссылку или на кнопку: Оплатить, платежной системы (QIWI)
2.	На странице оплаты, оплатите банковской картой или с QIWI кошелька.
3.	После оплаты, перейдите в чат бот и нажмите на кнопку: Проверить
4.	После этого, перед вами откроется новый блок, в котором вы скачаете архив с инструкциями.
""",
        'buttons': None,
        'answers': {},
        'q_attachment': None,
        'q_file': None
    },
}
